• Browser Compatibility


    The Lone Star Park web site is best viewed with Microsoft Internet Explorer 8 or higher or Mozilla Firefox 24 or higher. Other compatible browsers, such as Safari, Opera, and Google Chrome that support frames, Javascript, cookies, and Secure Sockets Layer protocol (SSL) may also work. When using older browsers, non-compatible browsers, or when disabling browser features, such as Javascript, cookies, and SSL, site functionality may be reduced.

    If you are accessing this site through a proxy or a firewall, please check with your Network Administrator to determine if cookies are permitted.

    How can I determine the browser I am using?

    For Windows Users

    Click on your browser's Help menu and choose "About...." A screen appears showing you the browser and version you are using.

    For Macintosh Users

    Go to your browser's Apple menu. Choose "About Safari" or "About Firefox." A screen appears showing the version you are using.

    How do I upgrade my browser?

    To Upgrade Internet Explorer

    Go to Microsoft Internet Explorer Download. Instructions provided there will help you with download and installation.

    To Upgrade Firefox

    Go to Firefox Download. Instructions provided there will help you with download and installation information.

    Adobe and Flash

    Some pages may require the Adobe Acrobat Reader or Flash plug-ins. Follow the links to download these products. Instructions provided there will help you with download and installation information.